#### 7.10.6.29 ncrepRegularMinimize

Procedure from library `ncrat.lib` (see ncrat_lib).

Usage:
  ncrep s = ncrepRegularMinimize(q, vars, point);

Return:
  ncrep s representing the same rational
  function as ncrep q, where s is of minimal size

Assumption:
  q is regular at scalar point a, i.e.,
  if one substitutes in ai for all nc variables xi in q then q.mat has to be invertible

Note:
  list vars = list(x1, ..., xn) has to consist
  exactly of the nc variables occurring in q and
  list point = list(a1, ..., an) consists of scalars

Example:

    LIB "ncrat.lib";
    ncInit(list("x", "y"));
    ncrat f = ncratFromString("inv(x*y)");
    ncrep q = ncrepGet(f);
    ncrepDim(q);
    ==> 5
    ncrep s = ncrepRegularMinimize(q, list(x, y), list(1, 1));
    ncrepDim(s);
    ==> 2
    s;
    ==> lvec=
    ==> -1,0
    ==>
    ==> mat=
    ==> -y,x+1,
    ==> 0, -x
    ==>
    ==> rvec=
    ==> 1,
    ==> -1
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.